Refunds
Apply Transaction to a Refund
Manually apply an existing transaction as payment of a refund.
Scopes: invoice:create
POST
/
v0
/
business
/
{business_id}
/
refund-payment
Apply Transaction to a Refund
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/refund-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refund_id": "rfu_Lq5AyApd4pdL1VvakpY5aJ",
"transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",
"payment_amount": 1
}
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/refund-payment"
payload = {
"refund_id": "rfu_Lq5AyApd4pdL1VvakpY5aJ",
"transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",
"payment_amount": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refund_id: 'rfu_Lq5AyApd4pdL1VvakpY5aJ',
transaction_id: 'txn_oiL7THC5RDi2PVUbVyyoJ',
payment_amount: 1
})
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/refund-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"external_id": "<string>",
"amount": 123,
"method": "cash",
"refunded_at": "2023-11-07T05:31:56Z",
"id": "rfu_WQMDNUHpBThYSNh4AprDBo",
"amount_paid": 0,
"currency": "USD",
"memo": "<string>",
"processor": "<string>",
"is_return": false,
"status": "pending",
"payments": [
{
"amount": 123,
"id": "rfp_WQMDNUHpBThYSNh4AprDBo",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo"
}
],
"refund_invoices": [
{
"amount": 123,
"id": "rfi_WQMDNUHpBThYSNh4AprDBo",
"invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo",
"invoice_line_id": "inl_WQMDNUHpBThYSNh4AprDBo",
"external_id": "<string>",
"memo": "<string>"
}
],
"tags": {
"Job": [
{
"amount": "60.00",
"value": "Maple Street Remodel"
},
{
"amount": "40.00",
"value": "Downtown Office Rewire"
}
]
}
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"message": "string",
"data": "string"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /v0/auth/token
Scopes1
invoice:create
Headers
Optional external entity identifier that performed the action
Path Parameters
The id of the business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
Body
application/json
The ID of the refund to apply payment to
Example:
"rfu_Lq5AyApd4pdL1VvakpY5aJ"
The ID of the transaction to apply as payment
Example:
"txn_oiL7THC5RDi2PVUbVyyoJ"
The amount to apply as payment. Defaults to the transaction amount.
Required range:
x >= 0Response
Successful Response
Show child attributes
Show child attributes
⌘I
Apply Transaction to a Refund
